Bug 442433 - livecd-creator exits with an error on rawhide
livecd-creator exits with an error on rawhide
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-14 15:16 EDT by Kevin Fenzi
Modified: 2009-06-06 01:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-06 01:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-04-14 15:16:56 EDT
Trying to use livecd-creator to build Xfce test live cd's, and get the following
319637 extents written (624 MB)
Inserting md5sum into iso image...
md5 = 6058538c9f2810c6e07aff85af387233
Inserting fragment md5sums into iso image...
fragmd5 = 7b3767c7338963667d9283bfa6ce1d75dd2bdbfc3fcdb714f8bdb427ed2d
frags = 20
Setting supported flag to 0
Exception exceptions.AttributeError: "'NoneType' object has no attribute
'sysconf'" in <bound method LiveCDYum.__del__ of <imgcreate.yuminst.LiveCDYum
object at 0x7f9d87253710>> ignored

Is this something that should be ignored? 
It does produce the image...
Comment 1 Jeremy Katz 2008-04-14 18:46:54 EDT
It's ignorable, but I'm looking into why it's happening.  It's deep deep deep in
the bowels of python weirdness.
Comment 2 Jeremy Katz 2008-04-14 21:59:29 EDT
Fixed in git.  Although I still don't entirely buy what python is doing there.
Comment 3 Bug Zapper 2008-05-14 05:26:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Kevin Fenzi 2009-06-06 01:52:19 EDT
Long since fixed and gone.

Note You need to log in before you can comment on or make changes to this bug.